@echo off
REM ----------------------------------------------------------------------------
REM - fmradio:
REM - Script Version: 1.0
REM -
REM - FM Radio App
REM - 
REM - Wrapper by: darkonion <darkonion@kimete.com>
REM -
REM -
REM ----------------------------------------------------------------------------

echo Welcome to FM Radio Install by DarkOnion!
echo.
echo This wrapper is by darkonion.
echo.
echo Please make sure that your phone is in PC Mode with USB debugging enabled.
echo.  
echo Checking for devices
echo.
adb wait-for-device  
adb devices
echo.

:choose

echo Would you like to begin installing FMRadio?
echo 1.) Yes.
echo 2.) No, and Exit this scipt.


set /p choice="Choose an option [1 or 2]"
REM if not '%choice%' == set choice = %choice:~0,1%

if '%choice%' == '2' goto :exit
if '%choice%' == '1' goto :choice1

:choice1
	echo.
	echo Beginning FM Radio Install
	echo.
	echo Pushing FMRadio.apk
	echo Pushing - 2 files	
	adb push app/FMRadio.apk /sdcard/FMRadio.apk
	adb push app/FMRadioService.apk /sdcard/FMRadioService.apk
	echo.

	echo Pushing .bin file - 1 file
	adb push bin/fmradioserver /sdcard/fmradioserver
	echo.

	echo Pushin .so files - 3 files
	adb push lib/libFMRadio.so /sdcard/libFMRadio.so
	adb push lib/libfmradio_jni.so /sdcard/libfmradio_jni.so
	adb push lib/libfmradioplayer.so /sdcard/libfmradioplayer.so
	echo.

	echo Mounting system.
	adb shell "mount -o remount,rw -t ext3 /dev/block/mmcblk1p21 /system"
	echo.

	echo Copying files from SD Card to Phone
	echo.
	
	echo Copying apk files - 2 files
	adb shell "cp /sdcard/FMRadio.apk /system/app/FMRadio.apk"
	adb shell "cp /sdcard/FMRadioService.apk /system/app/FMRadioService.apk"
	echo.

	echo Copying fmradio
	adb shell "cp /sdcard/fmradioserver /system/bin/fmradioserver"
	echo.

	echo Copying .so files - 3 files
	adb shell "cp /sdcard/libFMRadio.so /system/lib/libFMRadio.so"
	adb shell "cp /sdcard/libfmradio_jni.so /system/lib/libfmradio_jni.so"
	adb shell "cp /sdcard/libfmradioplayer.so /system/lib/libfmradioplayer.so"
	echo.

	echo Changing permissions to 4 files
	adb shell "chmod 0755 /system/bin/fmradioserver"
	adb shell "chmod 0644 /system/lib/libFMRadio.so"
	adb shell "chmod 0644 /system/lib/libfmradio_jni.so"
	adb shell "chmod 0644 /system/lib/libfmradioplayer.so"
	echo.

	echo Dismounting
	adb shell "mount -o ro,remount -t ext3 /dev/block/mmcblk1p21 /system"
	echo.
	echo Install complete. Thank you for using DarkOnion's FM Radio Install Wrapper!
	pause

	goto: exit
:exit
pause > nul